# eric7.Preferences.ConfigurationPages.PythonPage

Module implementing the Python configuration page.

### Global Attributes

None

### Classes

PythonPage | Class implementing the Python configuration page.

### Functions

create | Module function to create the configuration page.

## PythonPage

Class implementing the Python configuration page.

### Derived from

ConfigurationPageBase, Ui_PythonPage

### Class Attributes

None

### Class Methods

None

### Methods

PythonPage | Constructor
on_refreshButton_clicked | Private slot handling a click of the refresh button.
save | Public slot to save the Python configuration.

### Static Methods

None

#### PythonPage (Constructor)

PythonPage()

Constructor

#### PythonPage.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot handling a click of the refresh button.

#### PythonPage.save

save()

Public slot to save the Python configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up